diff -ur tbnl-0.8.4/modlisp.lisp my-tbnl-0.8.4/modlisp.lisp
--- tbnl-0.8.4/modlisp.lisp	2005-11-12 12:19:14.796875000 -0500
+++ my-tbnl-0.8.4/modlisp.lisp	2005-11-12 07:55:36.000000000 -0500
@@ -268,12 +268,7 @@
                                                  cond
                                                  *log-lisp-backtraces-p*
                                                  backtrace)))))
-                  (loop for dispatcher in *dispatch-table*
-                        for action = (funcall dispatcher *request*)
-                        when action
-                          return (funcall action)
-                        finally (setf (return-code *reply*)
-                                        +http-not-found+))))
+                  (dispatch-request *dispatch-table*)))
             (when error
               (setf (return-code *reply*)
                       +http-internal-server-error+))
@@ -292,6 +287,16 @@
                       (probe-file path))
               do (ignore-errors #+(or) (delete-file path))))))
 
+(defmethod dispatch-request ((dispatch-table t))
+  "Dispatches *request* based upon rules in the DISPATCH-TABLE.
+This method provides the default tbnl behavior."
+  (loop for dispatcher in *dispatch-table*
+        for action = (funcall dispatcher *request*)
+        when action
+        return (funcall action)
+        finally (setf (return-code *reply*)
+                      +http-not-found+)))
+
 (defun read-http-headers ()
   "Reads and parses HTTP headers coming from *TBNL-STREAM* and
 converts them into an alist."
